#include <tads.h>

/*
 * An XTads test game.
 * Focus is on top aligned child banner that outsizes its parent.
 */

main(args)
{
	local b0 = nil;
	local b1;
	local b2;
    
    "A banner test game for XTads.";

    //------------

    "\bb1 - text banner above main area and 10 rows tall:";
    b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       10, BannerSizeAbsolute,
                       BannerStyleBorder);
	 bannerSay(b1, 'b1');
    inputKey();

    "\bb2 - text banner above (and child of) b1 and 20 rows tall:";
    b2 = bannerCreate(b1, BannerFirst, nil, BannerTypeText, BannerAlignTop,
                       20, BannerSizeAbsolute,
                       BannerStyleBorder);
	 bannerSay(b2, 'b2');
    inputKey();
    
    bannerSizeToContents(b1);
    
    //------------
    
    "\bPress another key to exit...\n";
    inputKey();
}
